import type { PathnameNormalizer } from './pathname-normalizer';
export declare class PostponedPathnameNormalizer implements PathnameNormalizer {
    private readonly ppr;
    constructor(ppr: boolean | undefined);
    match(pathname: string): boolean;
    normalize(pathname: string, matched?: boolean): string;
}
